driver: freenas-api-iscsi

instance_id:

[[- $url := urlParse .democratic_csi.controller.truenas.api.url ]]
httpConnection:
  protocol: [[ $url.Scheme ]]
  host: [[ $url.Host ]]
  port: [[ $url.Port ]]
  apiKey: {{ with secret "[[ .vault.prefix ]]kv/service/democratic-csi" }}{{ .Data.data.truenas_api_key }}{{ end }}
  allowInsecure: [[ .democratic_csi.controllers.truenas.api.insecure | ternary "true" "false" ]]
  apiVersion: 2

zfs:
  datasetParentName: [[ .democratic_csi.controllers.iscsi.zfs.parent ]]
  detachedSnapshotsDatasetParentName: [[ .democratic_csi.controllers.iscsi.zfs.snap_parent ]]
  zvolCompression:
  zvolDedup:
  zvolEnableReservation: [[ .democratic_csi.controllers.iscsi.zfs.reservation ]]
  zvolBlocksize: [[ .democratic_csi.controllers.iscsi.zfs.reservation ]]

iscsi:
  targetPortals:
[[- range $idx, $portal := .democratic_csi.controllers.iscsi.portals ]]
    - [[ $portal ]][[ end ]]
  interface:

  namePrefix: ""
  nameSuffix: ""

  targetGroups:
    - targetGroupPortalGroup: [[ .democratic_csi.controllers.iscsi.target_group.portal_group ]]
      targetGroupInitiatorGroup: [[ .democratic_csi.controllers.iscsi.target_group.initiator_group ]]
      targetGroupAuthType: [[ .democratic_csi.controller.iscsi.target_group.auth_type ]]
      targetGroupAuthGroup: [[ .democratic_csi.controller.iscsi.target_group.auth_group ]]

  extentInsecureTpc: true
  extentXenCompat: false
  extentDisablePhysicalBlocksize: false
  extentBlocksize: 512
  extentRpm: "SSD"
  extentAvailThreshold: 0
